package cn.datax.service.data.standard.service;

import cn.datax.service.data.standard.api.entity.ContrastEntity;
import cn.datax.service.data.standard.api.dto.ContrastDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 对照表信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-09-27
 */
public interface ContrastService extends BaseService<ContrastEntity> {

    ContrastEntity saveContrast(ContrastDto contrast);

    ContrastEntity updateContrast(ContrastDto contrast);

    ContrastEntity getContrastById(String id);

    void deleteContrastById(String id);

    void deleteContrastBatch(List<String> ids);
}
